ZooKeeperServer.State (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Enum ZooKeeperServer.State

- java.lang.Object
- - java.lang.Enum<ZooKeeperServer.State>
  - - org.apache.zookeeper.server.ZooKeeperServer.State

- All Implemented Interfaces:
    Serializable, Comparable<ZooKeeperServer.State>
  Enclosing class:
    ZooKeeperServer

      protected static enum ZooKeeperServer.State
      extends Enum<ZooKeeperServer.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INITIAL`
    `RUNNING`
    `SHUTDOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZooKeeperServer.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ZooKeeperServer.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final ZooKeeperServer.State INITIAL

    - #### RUNNING

          public static final ZooKeeperServer.State RUNNING

    - #### SHUTDOWN

          public static final ZooKeeperServer.State SHUTDOWN

    - #### ERROR

          public static final ZooKeeperServer.State ERROR

  - ### Method Detail

    - #### values

          public static ZooKeeperServer.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZooKeeperServer.State c : ZooKeeperServer.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZooKeeperServer.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.